#include <iostream>
#include "avl.h"

using namespace std;

int main() {
    avl a;
 
    for(int i = 50; i > 0; i--) {
        a.add(i);
        a.add(-i);
    }
    for(int i = 0; i < 5; i++) {
        a.remove(i);
        a.remove(-i);
    }
    a.remove(5);
    
  //  for(int i = 0; i < 50; i++) {
  //      a.remove(i);
  //      a.remove(-i);
  //  }

}
